package cz.moneta.test.dsl.cagw.api.cbl.psd.pisp.my.payments;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.api.cbl.psd.pisp.my.payments.paymentid.PaymentIdBuilder;
import cz.moneta.test.harness.endpoints.cagw.CaGwEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;

public class PaymentsBuilder {
    private final Harness harness;

    public PaymentsBuilder(Harness harness) {
        this.harness = harness;
    }

    public PaymentIdBuilder paymentId() {
        return new PaymentIdBuilder(harness);
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, CaGwEndpoint.class, harness);
    }
}